Cyberduck Mountain Duck CLI

#11175 closed defect (fixed)

AWS CloudFront and KMS settings ignore ~/.aws/credentials

Reported by: berlic Owned by: dkocher
Priority: high Milestone: 7.7
Component: cloudfront Version: 7.6.0
Severity: major Keywords: aws, s3, cloudfront, cdn, kms
Cc: Architecture: Intel
Platform:

Description

If S3 is configured with AWS profile from credentials file (as per https://trac.cyberduck.io/wiki/help/en/howto/s3#Connectingusingcredentialsin.awscredentials), CloudFront CDN and KMS settings can't be configured.

When opening Distribution(CDN) or S3 tab of info dialog for a bucket, an error pops up "Cannot read CDN configuration" and "Cannot read AWS KMS configuration". Same on Windows and MacOS.

Generic S3 operations like reading and writing objects works ok.

~/.aws/credentials file is populated with temporary keys and token by saml2aws utility.

Change History (4)

comment:1 Changed on Oct 10, 2020 at 3:45:45 PM by dkocher

  • Milestone set to 8.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Oct 12, 2020 at 6:43:47 AM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

In r49942.

comment:3 Changed on Nov 2, 2020 at 1:24:43 PM by dkocher

  • Milestone changed from 8.0 to 7.7.0

Milestone renamed

comment:4 Changed on Nov 2, 2020 at 1:26:44 PM by dkocher

  • Milestone changed from 7.7.0 to 7.7

Milestone renamed

Note: See TracTickets for help on using tickets.